#include <bits/stdc++.h>
#define MAXN 20010
using namespace std;

int a[MAXN];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n, k;
    cin >> n >> k;
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    a[n] = a[0];
    for(int i = 0; i < n; i++)
    {
        if(a[i] == k){
            cout << a[i+1] << endl;
            return 0;
        }
    }


    return 0;
}